Name:           epeg
Version:        0.9.1.042
Release:        7%{?dist}
Summary:        Immensely fast JPEG thumbnailer

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/snapshots/2008-01-25/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libjpeg-devel chrpath 

%description
Epeg is insanely fast at loading large JPEG images and scaling them down to
tiny thumbnails. It's speedup will be proportional to the size difference
between the source image and the output thumbnail size as a count of their
pixels.

It makes use of libjpeg features of being able to load an image by only
decoding the DCT coefficients needed to reconstruct an image of the size
desired. This gives a massive speedup. If you do not try and access the pixels
in a format other than YUV (or GRAY8 if the source is grascale) then it also
avoids colorspace conversions as well.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       libjpeg-devel pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/%{name}
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_bindir}/%{name}
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Apr 04 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.1.042-7
- rebuild for F-13

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1.042-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1.042-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon May 05 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.1.042-4
- Fixed missing dependency on pkgconfig for epeg-devel

* Mon May 05 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.1.042-3
- Added missing dependencies for epeg-devel

* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.1.042-2
- Fixed timestamp of source tarball
- Preserve timestamps of installed files

* Tue Apr 15 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.1.042-1
- Initial specfile for Epeg
